Bug 37891

Summary: System.Net.Configuration/SmtpSection.cs missing 'deliveryFormat'
Product: [Mono] Class Libraries Reporter: worthaboutapig <jeremy>
Component: SystemAssignee: Marek Safar <masafa>
Status: RESOLVED FIXED    
Severity: normal CC: jeremy, masafa, mono-bugs+mono
Priority: ---    
Version: master   
Target Milestone: Untriaged   
Hardware: PC   
OS: Linux   
Tags: Is this bug a regression?: ---
Last known good build:

Description worthaboutapig 2016-01-22 06:08:45 UTC
The attribute 'deliveryFormat' is not serialized from 'system.net/mailsettings/smtp' which causes an exception at runtime:

Error deserializing configuration section smtp: Unrecognized attribute 'deliveryFormat'.
  at System.Configuration.ConfigurationSection.DeserializeSection (System.Xml.XmlReader reader)

To reproduce, create a new instance of the SmtpClient (var mailClient = new System.Net.Mail.SmtpClient(...)) and have the relevant configuration setup in the web.config/app.config.

Workaround: Remove the attribute from the .config XML, though what format it's in, I don't know.

The property is missing from https://github.com/mono/mono/blob/master/mcs/class/System/System.Net.Configuration/SmtpSection.cs, but is defined at https://msdn.microsoft.com/en-us/library/ms164240(v=vs.110).aspx

I can't find any information about this at all, as to whether there's some reason it's left off, but it's certainly a bug.

Tested on 4.2.2 on ArchLinux, packaged Mono
Comment 1 Marek Safar 2016-01-28 12:41:06 UTC
Fixed in master
Comment 2 worthaboutapig 2016-02-05 18:13:57 UTC
Ok, thanks,but presumably this value is still ignored by the default System.Net.Mail SmtpClient?  Shouldn't this be functionally equivalent to the MS version?